package it.integry.integrywmsnative.gest.contab_doc_interni.dto;

import java.util.Date;

public class SaveDTO {
    private String gestione;
    private String codMdep;
    private String idDisp;
    private String zona;
    private String segno;
    private Date listCreate;
    private String annotazioni;
    private String codDtip;
    private Integer idInventario;

    private OrdineDTO ordineDTO;
    private ColloDTO colloDTO;
    private InventarioDTO inventarioDTO;

    private String UUID;

    public String getGestione() {
        return gestione;
    }

    public void setGestione(String gestione) {
        this.gestione = gestione;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public void setCodMdep(String codMdep) {
        this.codMdep = codMdep;
    }

    public String getIdDisp() {
        return idDisp;
    }

    public void setIdDisp(String idDisp) {
        this.idDisp = idDisp;
    }

    public String getZona() {
        return zona;
    }

    public void setZona(String zona) {
        this.zona = zona;
    }

    public String getSegno() {
        return segno;
    }

    public void setSegno(String segno) {
        this.segno = segno;
    }

    public Date getListCreate() {
        return listCreate;
    }

    public void setListCreate(Date listCreate) {
        this.listCreate = listCreate;
    }

    public String getAnnotazioni() {
        return annotazioni;
    }

    public void setAnnotazioni(String annotazioni) {
        this.annotazioni = annotazioni;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public void setCodDtip(String codDtip) {
        this.codDtip = codDtip;
    }

    public Integer getIdInventario() {
        return idInventario;
    }

    public void setIdInventario(Integer idInventario) {
        this.idInventario = idInventario;
    }

    public OrdineDTO getOrdineDTO() {
        return ordineDTO;
    }

    public void setOrdineDTO(OrdineDTO ordineDTO) {
        this.ordineDTO = ordineDTO;
    }

    public ColloDTO getColloDTO() {
        return colloDTO;
    }

    public void setColloDTO(ColloDTO colloDTO) {
        this.colloDTO = colloDTO;
    }

    public InventarioDTO getInventarioDTO() {
        return inventarioDTO;
    }

    public void setInventarioDTO(InventarioDTO inventarioDTO) {
        this.inventarioDTO = inventarioDTO;
    }

    public String getUUID() {
        return UUID;
    }

    public SaveDTO setUUID(String UUID) {
        this.UUID = UUID;
        return this;
    }
}
